package com.ag.edi;

import java.io.InputStream;
import java.util.List;
import java.util.Map;

/**
 * Created by shaoqiang on 16/6/4.
 */
public interface IEdiService {
    /**
     * 报文导入处理,检查船名航次是否正确
     * @param routeid
     * @param dataMap
     * @param in
     * @return
     */
    public List processMessage(String routeid, Map dataMap, InputStream in);
    /**
     * 检查报文数据正确性
     *
     * @param bin
     */
    public boolean checkEdiData(String edrid, Map dataMap, InputStream bin);
    public boolean checkiftbmEdiData(String edrid, Map dataMap, InputStream bin);
    /**
     * 生成船图
     * @param routeid
     * @param map
     * @return
     */
    public EdiBean genEDIfile(String routeid,
                              Map<String, Object> map);
    /**
     * 生成船图
     * @param routeid
     * @param map
     * @return
     */
    public InputStream genEDIfileInputstream(String routeid,
                                             Map<String, Object> map);
    /**
     * 检查报文数据正确性联合国船图
     *
     * @param bin
     */
    public boolean checkEdiDataunBaplie(String edrid, Map dataMap, InputStream bin) ;
    public void startEdi(String id, Map datamap);
    /**
     * 停止edi
     * @param id
     */
    public void stopedi(String id);
}
